GNU Radio C++ API Reference: gr::fec::tpc_common Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::fec::tpc_common Class Reference

`#include <gnuradio/fec/tpc_common.h>`

## Static Public Member Functions
static int | parity_counter (int symbol, int length)
static void | rsc_enc_bit (int input, int state_in, std::vector< int > g, int KK, int nn, std::vector< std::vector< int > > &output, std::vector< std::vector< int > > &nextStates)
static void | precomputeStateTransitionMatrix_RSCPoly (int numStates, std::vector< int > g, int KK, int nn, std::vector< std::vector< int > > &output, std::vector< std::vector< int > > &nextStates)
static void | rsc_tail (std::vector< int > &tail_p, std::vector< int > g, int max_states, int mm)
static void | itob (std::vector< int > &binVec, int symbol, int length)

## Member Function Documentation

## ◆ itob()

void gr::fec::tpc_common::itob | ( | std::vector< int > & | binVec,
|  | int | symbol,
|  | int | length )
| static

## ◆ parity_counter()

int gr::fec::tpc_common::parity_counter | ( | int | symbol,
|  | int | length )
| static

## ◆ precomputeStateTransitionMatrix_RSCPoly()

void gr::fec::tpc_common::precomputeStateTransitionMatrix_RSCPoly | ( | int | numStates,
|  | std::vector< int > | g,
|  | int | KK,
|  | int | nn,
|  | std::vector< std::vector< int > > & | output,
|  | std::vector< std::vector< int > > & | nextStates )
| static

## ◆ rsc_enc_bit()

void gr::fec::tpc_common::rsc_enc_bit | ( | int | input,
|  | int | state_in,
|  | std::vector< int > | g,
|  | int | KK,
|  | int | nn,
|  | std::vector< std::vector< int > > & | output,
|  | std::vector< std::vector< int > > & | nextStates )
| static

## ◆ rsc_tail()

void gr::fec::tpc_common::rsc_tail | ( | std::vector< int > & | tail_p,
|  | std::vector< int > | g,
|  | int | max_states,
|  | int | mm )
| static

The documentation for this class was generated from the following file:

- tpc_common.h